(* ::Package:: *)

(************************************************************************)
(* This file was generated automatically by the Mathematica front end.  *)
(* It contains Initialization cells from a Notebook file, which         *)
(* typically will have the same name as this file except ending in      *)
(* ".nb" instead of ".m".                                               *)
(*                                                                      *)
(* This file is intended to be loaded into the Mathematica kernel using *)
(* the package loading commands Get or Needs.  Doing so is equivalent   *)
(* to using the Evaluate Initialization Cells menu command in the front *)
(* end.                                                                 *)
(*                                                                      *)
(* DO NOT EDIT THIS FILE.  This entire file is regenerated              *)
(* automatically each time the parent Notebook file is saved in the     *)
(* Mathematica front end.  Any changes you make to this file will be    *)
(* overwritten.                                                         *)
(************************************************************************)



BeginPackage["Lautrup`PhysicalConstants`",{"Lautrup`Units`"}];
Unprotect["`*"];

(* messages *)
AirMolarMass::"usage"="Molar mass of air";
WaterMolarMass::"usage"="Molar mass of water";
SunMass::"usage"="Mass of Sun.";
SunRadius::"usage"="Radius of Sun.";
EarthOrbitRadius::"usage"="Radius of Earth orbit.";
MarsMass::"usage"="Mass of Mars.";
MarsRadius::"usage"="Radius of Mars.";
MoonMass::"usage"="Mass of Moon.";
MoonRadius::"usage"="Radius of Moon.";
MoonOrbitRadius::"usage"="Radius of Moon orbit.";
EarthCoreRadius::"usage"="Radius of Earth core.";
EarthCoreMass::"usage"="Mass of Earth core.";
EarthEquatorialRadius::"usage" = "Equatorial radius of Earth.";
EarthPolarRadius::"usage"="Polar radius of Earth.";
ZeroCelsius::"usage"="0 Celsius in Kelvin";
RPM::"usage"="Rotations per minute";
CPS::"usage"="Cycles per second";
SiderealDay::"usage"="SiderealDay is a unit of time";

(* Standard constants *)
AccelerationDueToGravity=Quantity["StandardAccelerationOfGravity"];AgeOfUniverse=Quantity["UniverseAge"];AvogadroConstant=Quantity["AvogadroConstant"];BohrRadius=Quantity["BohrRadius"];BoltzmannConstant=Quantity["BoltzmannConstant"];ClassicalElectronRadius=Quantity["ClassicalElectronRadius"];(*CosmicBackgroundTemperature=Quantity["CosmicMicrowaveBackgroundTemperature"];*)DeuteronMagneticMoment=Quantity["DeuteronMagneticMoment"];DeuteronMass=Quantity["DeuteronMass"];
EarthMass=Quantity["EarthMass"];
EarthRadius=Quantity["EarthEquatorialRadius"];ElectronCharge=Quantity["ElementaryCharge"];ElectronComptonWavelength=Quantity["ElectronComptonWavelength"];ElectronGFactor=Quantity["ElectronGFactor"];ElectronMagneticMoment=Quantity["ElectronMagneticMoment"];ElectronMass=Quantity["ElectronMass"];FaradayConstant=Quantity["FaradayConstant"];FineStructureConstant=Quantity["FineStructureConstant"];GalacticUnit=Quantity["GalacticUnit"];GravitationalConstant=Quantity["GravitationalConstant"];
HubbleConstant=Quantity["HubbleConstant"];
(*IcePoint=Quantity["WaterIcePoint"];*)MagneticFluxQuantum=Quantity["MagneticFluxQuantum"];MolarGasConstant=Quantity["MolarGasConstant"];MolarVolume=Quantity["IdealGasMolarVolume"];MuonGFactor=Quantity["MuonGFactor"];MuonMagneticMoment=Quantity["MuonMagneticMoment"];MuonMass=Quantity["MuonMass"];NeutronComptonWavelength=Quantity["NeutronComptonWavelength"];NeutronMagneticMoment=Quantity["NeutronMagneticMoment"];NeutronMass=Quantity["NeutronMass"];
PlanckConstant=Quantity["PlanckConstant"];PlanckConstantReduced=Quantity["ReducedPlanckConstant"];PlanckMass=Quantity["PlanckMass"];ProtonComptonWavelength=Quantity["ProtonComptonWavelength"];ProtonMagneticMoment=Quantity["ProtonMagneticMoment"];ProtonMass=Quantity["ProtonMass"];QuantizedHallConductance=Quantity["QuantizedHallConductance"];RydbergConstant=Quantity["RydbergConstant"];SackurTetrodeConstant=Quantity["SackurTetrodeConstant"];SolarConstant=Quantity["SolarConstant"];SolarLuminosity=Quantity["SolarLuminosity"];SolarRadius=Quantity["SolarRadius"];SolarSchwarzschildRadius=Quantity["SolarSchwarzschildRadius"];SpeedOfLight=Quantity["SpeedOfLight"];
SpeedOfSound=Quantity["SpeedOfSound"];StefanConstant=Quantity["StefanBoltzmannConstant"];ThomsonCrossSection=Quantity["ThomsonCrossSection"];VacuumPermeability=Quantity["MagneticConstant"];VacuumPermittivity=Quantity["ElectricConstant"];WeakMixingAngle=Quantity["WeakMixingAngleConstant"];

(* Other constants *)
AirMolarMass=(0.0289635` Kilogram)/Mole;
WaterMolarMass=(0.01802` Kilogram)/Mole;
EarthCoreRadius=3485000 Meter;
EarthCoreMass=1.94`*^24 Kilogram;
EarthOrbitRadius=1.495979`*^11 Meter;
MoonRadius=1.7382`*^6 Meter;
MoonMass=7.3483`*^22 Kilogram;
MoonOrbitRadius=384401000 Meter;
MarsMass=6.4191`*^23 Kilogram;
MarsRadius=3397000 Meter;
SunMass=1.9891`*^30 Kilogram;
SunRadius=6.9599`*^8 Meter;
EarthEquatorialRadius=6378135 Meter;
EarthPolarRadius=6356750 Meter;
ZeroCelsius = 273.15 Kelvin;
RPM=2\[Pi]/Minute;
CPS=2\[Pi]/Second;
SiderealDay=86164.090530833 Second;
Horsepower=745.7 Watt;
Calorie=4.18 Joule;
BTU=1055.06 Joule;
Week=7Day;

(* Prefix values *)
Yocto=10^-24;
Zepto=10^-21;
Atto=10^-18;
Femto=10^-15;
Pico=10^-12;
Nano=10^-9;
Micro=10^-6;
Milli=10^-3;
Centi=10^-2;
Deci=10^-1;
Deka=10^1;
Hecto=10^2;
Kilo=10^3;
Mega=10^6;
Giga=10^9;
Tera=10^12;
Peta=10^15;
Exa=10^18;
Zetta=10^21;
Yotta=10^24;

Protect["`*"];
EndPackage[];



