(* ::Package:: *)

(************************************************************************)
(* This file was generated automatically by the Mathematica front end.  *)
(* It contains Initialization cells from a Notebook file, which         *)
(* typically will have the same name as this file except ending in      *)
(* ".nb" instead of ".m".                                               *)
(*                                                                      *)
(* This file is intended to be loaded into the Mathematica kernel using *)
(* the package loading commands Get or Needs.  Doing so is equivalent   *)
(* to using the Evaluate Initialization Cells menu command in the front *)
(* end.                                                                 *)
(*                                                                      *)
(* DO NOT EDIT THIS FILE.  This entire file is regenerated              *)
(* automatically each time the parent Notebook file is saved in the     *)
(* Mathematica front end.  Any changes you make to this file will be    *)
(* overwritten.                                                         *)
(************************************************************************)



BeginPackage["Lautrup`Units`"];
Unprotect["`*"];

(* Acceptable SI units *)
Begin["`Private`"];
Capitalize[string_]:=StringReplacePart[string,ToUpperCase[StringTake[string,1]],{1,1}];
SetAttributes[Capitalize,Listable];

(* define accepted unit names *)
regular={"meter","gram","second","ampere","kelvin","mole","candela","newton","pascal","joule","watt","coulomb","volt","farad","ohm","weber","tesla","lumen","becquerel","sievert","liter"};irregular={{"lux","lux"},{"hertz","hertz"},{"siemens","siemens"},{"grays","grays"},{"henry","henries"}};
basenames=Join[Map[{#,StringJoin[#,"s"]}&,regular],irregular];

(* attach prefixes to all names and capitalize*)
prefixes={"yocto","zepto","atto","femto","pico","nano","micro","milli","centi","deci","","deka","hecto","kilo","mega","giga","tera","peta","exa","zetta","yotta"};
names=Capitalize[Flatten[Outer[StringJoin,prefixes,basenames],1]];

(* remove erroneous or slow names in Quantity *)
problems={"Yoctolumens","Hectomoles","Yottahenries","Dekasieverts","Dekalumens","Dekagrays"};
f[s_]:=Apply[Or,Map[s==#&,problems]];
goodnames=Select[names,!f[#[[2]]]&];

End[];

(* declare all prefixed units *)
Map[Set[Evaluate[Symbol[#[[1]]]],Quantity[#[[2]]]]&,`Private`goodnames];

(* Non-SI units *)
Angstrom=Quantity["Angstroms"];
Atmosphere=Quantity["Atmospheres"];
Bar=Quantity["Bars"];
Barn=Quantity["Barns"];
Celsius=Quantity["DegreesCelsius"];
Curie=Quantity["Curies"];
Day=Quantity["Days"];
Dyne=Quantity["Dynes"];
Electronvolt=Quantity["Electronvolts"];
Erg=Quantity["Ergs"];
Fahrenheit=Quantity["DegreesFahrenheit"];
Fermi=Quantity["Fermis"];
Foot=Quantity["Feet"];
Gauss=Quantity["Gausses"];
Gigayear=Quantity["Gigayears"];
Hectare=Quantity["Hectares"];
Hour=Quantity["Hours"];
Inch=Quantity["Inches"];
Kilobar=Quantity["Kilobars"];
Knot=Quantity["Knots"];
Maxwell=Quantity["Maxwells"];
Megabar=Quantity["Megabars"];
Megaparsec=Quantity["Megaparsecs"];
MetricTon=Quantity["MetricTons"];
Mile=Quantity["Miles"];
Millibar=Quantity["Millibars"];
Minute=Quantity["Minutes"];
Oersted=Quantity["Oersteds"];
Parsec=Quantity["Parsecs"];
Percent=Quantity["Percent"];
Phot=Quantity["Phots"];
Poise=Quantity["Poise"];
Pound=Quantity["Pounds"];
Rad=Quantity["Rads"];
Rem=Quantity["Rems"];
Roentgen=Quantity["Roentgens"];
Stilb=Quantity["Stilbs"];
Stokes=Quantity["Stokes"];
TonsOfTNT=Quantity["TonsOfTNT"];
Torr=Quantity["Torr"];
Year=Quantity["Years"];

(* convenience functions *)
ToSI::"usage"="ToSI[q] converts a quantity q to fundamental SI units";
ToUnit::"usage"="ToUnit[u][q] converts a quantity q to unit u";
NoUnit::"usage"="NoUnit[q] removes the unit from a quantity q";

Begin["`Private`"];
ToSI[q_]=UnitConvert[q];
ToUnit[u_][q_]=UnitConvert[q,u];
NoUnit[q_]=QuantityMagnitude[q];
End[];

(* clean up *)
Remove["`Private`*"];
SetAttributes[Evaluate[Names["`*"]],{Protected,ReadProtected}]
EndPackage[];



