(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     31684,        641]
NotebookOptionsPosition[     30285,        589]
NotebookOutlinePosition[     30913,        613]
CellTagsIndexPosition[     30828,        608]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Packet: Figure", "Title",
 CellChangeTimes->{{3.5051116313671746`*^9, 3.505111634479353*^9}, {
  3.505119024494037*^9, 3.5051190271101866`*^9}, {3.588479903398456*^9, 
  3.5884799075509663`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"BeginPackage", "[", 
    RowBox[{"\"\<Lautrup`Figure`\>\"", ",", 
     RowBox[{"{", "\"\<Lautrup`EmbedAllFonts`\>\"", "}"}]}], "]"}], ";"}], 
  "\[IndentingNewLine]", "\n", 
  RowBox[{"(*", " ", "messages", " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Unprotect", "[", "Figure", "]"}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"Figure", "::", "\"\<export\>\""}], "=", 
   "\"\<Image exported to `1`\>\""}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"Figure", "::", "\"\<noexport\>\""}], "=", 
   "\"\<Image not exported\>\""}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"Figure", "::", "\"\<usage\>\""}], "=", 
    "\"\<Figure[file][image] exports an image to a file\>\""}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Begin", "[", "\"\<`Private`\>\"", "]"}], ";"}], 
  "\[IndentingNewLine]"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"Figure", "[", 
     RowBox[{"name_String", ",", 
      RowBox[{"OptionsPattern", "[", "Figure", "]"}]}], "]"}], "[", "image_", 
    "]"}], ":=", 
   RowBox[{"(", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{"!", 
        RowBox[{"OptionValue", "[", "Export", "]"}]}], ",", 
       RowBox[{
        RowBox[{"Message", "[", 
         RowBox[{"Figure", "::", "\"\<noexport\>\""}], "]"}], ";", 
        RowBox[{"Return", "[", "image", "]"}]}]}], "]"}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"file", "=", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"StringLength", "[", 
          RowBox[{"FileExtension", "[", "name", "]"}], "]"}], ">", "0"}], ",",
         "name", ",", 
        RowBox[{"StringJoin", "[", 
         RowBox[{"{", 
          RowBox[{"name", ",", "\"\<.\>\"", ",", 
           RowBox[{"OptionValue", "[", "FileExtension", "]"}]}], "}"}], 
         "]"}]}], "]"}]}], ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"(*", " ", 
      RowBox[{"set", " ", "up", " ", "directory"}], " ", "*)"}], 
     "\[IndentingNewLine]", 
     RowBox[{"directory", "=", 
      RowBox[{"OptionValue", "[", "Directory", "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{"directory", "\[Equal]", "Automatic"}], ",", 
       RowBox[{"directory", "=", 
        RowBox[{"NotebookDirectory", "[", "]"}]}]}], "]"}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"FileNameDepth", "[", "file", "]"}], "==", "1"}], ",", " ", 
       RowBox[{"file", "=", 
        RowBox[{"FileNameJoin", "[", 
         RowBox[{"{", 
          RowBox[{"directory", ",", " ", "file"}], "}"}], "]"}]}]}], "]"}], 
     ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"size", "=", 
      RowBox[{
       RowBox[{"OptionValue", "[", "ImageSize", "]"}], "/.", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Tiny", "->", 
          RowBox[{"OptionValue", "[", "Tiny", "]"}]}], ",", 
         RowBox[{"Small", "->", 
          RowBox[{"OptionValue", "[", "Small", "]"}]}], ",", 
         RowBox[{"Medium", "->", 
          RowBox[{"OptionValue", "[", "Medium", "]"}]}], ",", 
         RowBox[{"Large", "->", 
          RowBox[{"OptionValue", "[", "Large", "]"}]}]}], "}"}]}]}], ";", 
     "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"Check", "[", 
      RowBox[{
       RowBox[{"Export", "[", 
        RowBox[{"file", ",", "image", ",", 
         RowBox[{"ImageSize", "->", "size"}], ",", 
         RowBox[{"ImageResolution", "->", 
          RowBox[{"OptionValue", "[", "ImageResolution", "]"}]}]}], "]"}], 
       ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"Message", "[", 
         RowBox[{"Figure", "::", "\"\<noexport\>\""}], "]"}], ";", 
        RowBox[{"Return", "[", "image", "]"}]}]}], "]"}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"Message", "[", 
      RowBox[{
       RowBox[{"Figure", "::", "\"\<export\>\""}], ",", "file"}], "]"}], ";", 
     "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{"OptionValue", "[", "EmbedAllFonts", "]"}], ",", " ", 
       RowBox[{"EmbedAllFonts", "[", 
        RowBox[{"file", ",", "file"}], "]"}]}], "]"}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"Return", "[", "image", "]"}]}], ")"}]}], 
  "\[IndentingNewLine]"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"End", "[", "]"}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"Options", "[", "Figure", "]"}], "=", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"Directory", "\[Rule]", "Automatic"}], ",", 
      RowBox[{"ImageSize", "->", "Automatic"}], ",", 
      RowBox[{"ImageResolution", "->", "Automatic"}], ",", 
      RowBox[{"FileExtension", "\[Rule]", "\"\<pdf\>\""}], ",", 
      RowBox[{"Export", "\[Rule]", "False"}], ",", 
      RowBox[{"EmbedAllFonts", "\[Rule]", "True"}], ",", 
      RowBox[{"Tiny", "->", "64"}], ",", 
      RowBox[{"Small", "->", "128"}], ",", 
      RowBox[{"Medium", "->", "256"}], ",", 
      RowBox[{"Large", "->", "512"}]}], "}"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"SetAttributes", "[", 
    RowBox[{"Figure", ",", 
     RowBox[{"{", 
      RowBox[{"Protected", ",", "ReadProtected"}], "}"}]}], "]"}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"EndPackage", "[", "]"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]"}], "Input",
 InitializationCell->True,
 CellChangeTimes->{
  3.3900576788*^9, {3.4762614006574*^9, 3.47626141026295*^9}, {
   3.4762615654288244`*^9, 3.4762615690500317`*^9}, {3.476261663141413*^9, 
   3.4762616648425107`*^9}, 3.4762617515404696`*^9, {3.476267025239108*^9, 
   3.476267026699191*^9}, {3.4762680007399035`*^9, 3.4762680686647882`*^9}, {
   3.476268129505268*^9, 3.476268130259311*^9}, {3.476268175535901*^9, 
   3.4762681917888308`*^9}, {3.4763355440933876`*^9, 
   3.4763355715909605`*^9}, {3.4763368627008076`*^9, 3.4763371759127226`*^9}, 
   3.476337250505989*^9, {3.4763379449577093`*^9, 3.4763379572544127`*^9}, {
   3.476338344858582*^9, 3.476338355420186*^9}, {3.476338394522423*^9, 
   3.4763384348287277`*^9}, {3.476338495736212*^9, 3.4763385292451286`*^9}, {
   3.476339099095722*^9, 3.4763391296264687`*^9}, 3.4763402129744325`*^9, {
   3.476340253971777*^9, 3.476340269663675*^9}, 3.4763407544184012`*^9, {
   3.476347309353322*^9, 3.476347359050164*^9}, {3.476347389512907*^9, 
   3.4763474276740894`*^9}, {3.4763474741087456`*^9, 
   3.4763475063635902`*^9}, {3.4763475574175105`*^9, 3.476347558431568*^9}, {
   3.476347652221933*^9, 3.4763476796485014`*^9}, {3.476347797667252*^9, 
   3.476347856915641*^9}, {3.476347927919702*^9, 3.476347944162631*^9}, {
   3.4763480480505733`*^9, 3.476348098164439*^9}, {3.476348157550836*^9, 
   3.476348215598156*^9}, {3.476348254933406*^9, 3.4763483075044127`*^9}, {
   3.476350939385948*^9, 3.4763509521076756`*^9}, {3.476353143640024*^9, 
   3.476353169937528*^9}, {3.4763535375815563`*^9, 3.476353538394603*^9}, {
   3.4763689091296544`*^9, 3.476368948790923*^9}, {3.4763690101324315`*^9, 
   3.476369039863132*^9}, {3.476369273726508*^9, 3.476369292870603*^9}, {
   3.476369358494357*^9, 3.476369376400381*^9}, {3.4763694072541456`*^9, 
   3.4763694622912936`*^9}, {3.476369606098519*^9, 3.476369613594948*^9}, {
   3.4763696501750402`*^9, 3.476369655146324*^9}, {3.476369702119011*^9, 
   3.4763697027760487`*^9}, {3.4763697790684123`*^9, 3.476369848106361*^9}, {
   3.4763699043065753`*^9, 3.4763699111359663`*^9}, {3.4763709461741667`*^9, 
   3.4763709693124905`*^9}, {3.4774833707006135`*^9, 
   3.4774833723987107`*^9}, {3.478424319138877*^9, 3.478424358446125*^9}, {
   3.4784244589388733`*^9, 3.478424481492163*^9}, {3.4784246581562676`*^9, 
   3.4784246689388847`*^9}, {3.4784250147636642`*^9, 3.478425064059484*^9}, {
   3.478425121275757*^9, 3.4784251226028323`*^9}, {3.47842537799544*^9, 
   3.47842538690795*^9}, {3.47842544687638*^9, 3.478425452068677*^9}, {
   3.4784255491162276`*^9, 3.4784255721485453`*^9}, {3.4784258664603786`*^9, 
   3.4784258695985584`*^9}, {3.478425910123876*^9, 3.4784259231556215`*^9}, {
   3.4784277983488765`*^9, 3.478427815324847*^9}, 3.478429835929982*^9, 
   3.4784298967884636`*^9, {3.4784299995113387`*^9, 3.478430007668805*^9}, {
   3.4784300613568764`*^9, 3.4784300619719114`*^9}, {3.478430210362399*^9, 
   3.4784302497116494`*^9}, {3.4784309459784737`*^9, 3.478430950213716*^9}, {
   3.4784310238069253`*^9, 3.478431049345386*^9}, {3.4784311814309406`*^9, 
   3.478431224704416*^9}, {3.47843130606907*^9, 3.4784313579400363`*^9}, {
   3.478431421133651*^9, 3.4784314514953876`*^9}, {3.478431508288636*^9, 
   3.478431527048709*^9}, {3.4784315578574715`*^9, 3.478431714034404*^9}, {
   3.478431746288249*^9, 3.47843183547435*^9}, {3.478431894643734*^9, 
   3.4784319976416254`*^9}, {3.4784320637774076`*^9, 3.478432064466448*^9}, 
   3.4784321111971207`*^9, {3.4784323732801104`*^9, 3.4784323778933744`*^9}, {
   3.4784324799712133`*^9, 3.4784324817613153`*^9}, {3.478432697455652*^9, 
   3.4784327092933297`*^9}, {3.478432822231789*^9, 3.4784328728796864`*^9}, {
   3.4784333265136323`*^9, 3.478433330947886*^9}, {3.4784334092433643`*^9, 
   3.4784334109364614`*^9}, {3.478433468236738*^9, 3.4784335554067245`*^9}, {
   3.478434045949782*^9, 3.4784340643358335`*^9}, 3.4784343777817616`*^9, {
   3.4784345030869284`*^9, 3.4784345193238573`*^9}, {3.4784345643134303`*^9, 
   3.4784345817564282`*^9}, {3.478434869494886*^9, 3.4784348749882*^9}, {
   3.478434986370571*^9, 3.4784349943440266`*^9}, {3.4784351447666306`*^9, 
   3.4784351536831408`*^9}, {3.4784352221470566`*^9, 
   3.4784352526358004`*^9}, {3.47843529948948*^9, 3.47843532011366*^9}, {
   3.4784354794157715`*^9, 3.4784354811848726`*^9}, 3.478436078058012*^9, 
   3.4784362381221666`*^9, {3.4784362732241745`*^9, 3.4784362863059225`*^9}, {
   3.4784363316665173`*^9, 3.478436341804097*^9}, {3.4784364006274614`*^9, 
   3.4784364246638365`*^9}, {3.478436639638132*^9, 3.478436656309086*^9}, {
   3.4784383531311383`*^9, 3.4784384213600407`*^9}, {3.4784384933001556`*^9, 
   3.478438547344247*^9}, {3.4784387573332577`*^9, 3.4784387874069777`*^9}, {
   3.478438898161312*^9, 3.4784389567126617`*^9}, {3.4784390015312247`*^9, 
   3.4784390202052927`*^9}, {3.4784396271200066`*^9, 
   3.4784396277530427`*^9}, {3.4784397666409864`*^9, 
   3.4784397881622176`*^9}, {3.47844844806496*^9, 3.4784484868761797`*^9}, {
   3.4784485199830737`*^9, 3.478448552178915*^9}, {3.4784487108519907`*^9, 
   3.478448715131235*^9}, {3.478448784312192*^9, 3.4784488034462867`*^9}, {
   3.4784488617306204`*^9, 3.4784488637127333`*^9}, {3.47844906505825*^9, 
   3.478449090950731*^9}, {3.4784491639529066`*^9, 3.478449177777697*^9}, {
   3.478449279605521*^9, 3.478449288228015*^9}, 3.4784493629352875`*^9, {
   3.47844940371662*^9, 3.4784494201625605`*^9}, {3.478915339208696*^9, 
   3.478915347132149*^9}, {3.4789154460928097`*^9, 3.4789154731283555`*^9}, {
   3.478915519202991*^9, 3.478915541334257*^9}, {3.478915596327402*^9, 
   3.478915597583474*^9}, {3.4789156657113705`*^9, 3.4789156711226807`*^9}, {
   3.4789159105633755`*^9, 3.478915926654296*^9}, {3.478916138488412*^9, 
   3.4789161432076817`*^9}, {3.4789162157678328`*^9, 
   3.4789162165728784`*^9}, {3.47891626573269*^9, 3.4789162695149064`*^9}, 
   3.4789163178306704`*^9, {3.4789166736490216`*^9, 3.478916680393407*^9}, {
   3.478916838420446*^9, 3.478916849362072*^9}, {3.4789169858348775`*^9, 
   3.4789169927372723`*^9}, 3.478917109988979*^9, 3.479204480462*^9, {
   3.4792045112530003`*^9, 3.479204532303*^9}, {3.479204720375*^9, 
   3.4792047280039997`*^9}, {3.479205217657*^9, 3.47920523669*^9}, {
   3.4792052980959997`*^9, 3.47920529826*^9}, 3.479205405205*^9, {
   3.479205597701*^9, 3.479205601575*^9}, {3.479208575164*^9, 
   3.4792085962469997`*^9}, 3.4797873432468567`*^9, {3.479788473070479*^9, 
   3.479788501807122*^9}, {3.479789042244034*^9, 3.479789044225147*^9}, {
   3.4797890998693295`*^9, 3.4797891546814647`*^9}, {3.479789198538973*^9, 
   3.4797892039272814`*^9}, {3.479789249489887*^9, 3.4797892794746027`*^9}, {
   3.4797893926750774`*^9, 3.4797893940141535`*^9}, {3.4797894943048897`*^9, 
   3.4797894957849746`*^9}, {3.479789559709631*^9, 3.479789624817355*^9}, {
   3.4797897839544573`*^9, 3.479789828250991*^9}, 3.479789891666618*^9, {
   3.479789938192279*^9, 3.4797899730842743`*^9}, {3.4797900810364494`*^9, 
   3.4797901230408516`*^9}, {3.4797901553476996`*^9, 
   3.4797901568437853`*^9}, {3.479790257217526*^9, 3.4797902629388533`*^9}, {
   3.479790313074721*^9, 3.4797903185060315`*^9}, {3.479791054771144*^9, 
   3.4797910554461823`*^9}, {3.479791135251747*^9, 3.479791184926588*^9}, {
   3.479791301821274*^9, 3.4797913053324747`*^9}, {3.479791341946569*^9, 
   3.4797913452567587`*^9}, {3.4797913864811163`*^9, 3.479791426442402*^9}, {
   3.479791467171732*^9, 3.479791488217935*^9}, {3.4797921276755104`*^9, 
   3.4797921305316734`*^9}, {3.4797923475740876`*^9, 
   3.4797923591637506`*^9}, {3.4797923923826504`*^9, 3.479792393058689*^9}, {
   3.479792436527176*^9, 3.4797924633847113`*^9}, {3.479792503675016*^9, 
   3.47979254028211*^9}, {3.4797925714778943`*^9, 3.479792582508525*^9}, {
   3.479792662721113*^9, 3.4797926684664416`*^9}, {3.479793276217203*^9, 
   3.479793282173544*^9}, {3.479793614347543*^9, 3.479793624632131*^9}, {
   3.479793711127078*^9, 3.479793712057132*^9}, {3.479793808311637*^9, 
   3.4797938477958956`*^9}, {3.479793919666006*^9, 3.4797939428353314`*^9}, {
   3.479794152401318*^9, 3.4797941670971584`*^9}, 3.4797942728312063`*^9, {
   3.4797943934781065`*^9, 3.479794409298012*^9}, {3.479794445672092*^9, 
   3.479794447789213*^9}, {3.4797944788769913`*^9, 3.479794493949853*^9}, {
   3.479795178403002*^9, 3.479795179785081*^9}, {3.479795260997726*^9, 
   3.479795340166254*^9}, 3.479795438244864*^9, {3.479797262508206*^9, 
   3.479797274805909*^9}, {3.479797857581242*^9, 3.479797861130445*^9}, {
   3.479801708900525*^9, 3.479801720966215*^9}, {3.4798020967687097`*^9, 
   3.479802100375916*^9}, {3.4798021520358706`*^9, 3.4798021578212013`*^9}, {
   3.4798023728685017`*^9, 3.4798024158049574`*^9}, {3.479802563604411*^9, 
   3.479802581295423*^9}, {3.479802865018651*^9, 3.479802876025281*^9}, {
   3.4798029264751663`*^9, 3.479802933081544*^9}, {3.47980301657432*^9, 
   3.4798030171693535`*^9}, {3.4798031530791273`*^9, 3.479803234087761*^9}, {
   3.4798032782422857`*^9, 3.479803367757406*^9}, 3.4798034667220664`*^9, {
   3.4798035018300743`*^9, 3.479803502515114*^9}, {3.479805315950836*^9, 
   3.4798053967974606`*^9}, {3.4798054385298476`*^9, 3.479805470934701*^9}, {
   3.4798056064134502`*^9, 3.4798056312028675`*^9}, {3.479805687907111*^9, 
   3.4798057171787853`*^9}, 3.4798058287631674`*^9, {3.4798059559214406`*^9, 
   3.479806001383041*^9}, {3.4798061049309635`*^9, 3.47980616553643*^9}, {
   3.479806211116037*^9, 3.4798062187694745`*^9}, {3.4798063765224977`*^9, 
   3.4798064902850046`*^9}, {3.479806533481475*^9, 3.4798065461852016`*^9}, {
   3.479806648926078*^9, 3.479806659150663*^9}, {3.4798067638876534`*^9, 
   3.479806776726388*^9}, {3.4798068411080704`*^9, 3.479806934237397*^9}, {
   3.4798069781769104`*^9, 3.479807004821434*^9}, {3.479807081716832*^9, 
   3.479807086903129*^9}, {3.4798071574871664`*^9, 3.479807185922793*^9}, 
   3.4798072955770645`*^9, {3.4798073630349226`*^9, 3.4798073710573816`*^9}, {
   3.479807484078846*^9, 3.4798074871570225`*^9}, {3.479807528875408*^9, 
   3.47980752977946*^9}, {3.4798075977993507`*^9, 3.4798076038406963`*^9}, {
   3.4798076506743746`*^9, 3.479807694628889*^9}, 3.479807776157552*^9, {
   3.479895202972*^9, 3.479895236297*^9}, {3.479895329451*^9, 
   3.479895330664*^9}, {3.4798953677390003`*^9, 3.479895496263*^9}, {
   3.479895558935*^9, 3.4798955970810003`*^9}, 3.479895643401*^9, {
   3.479895679915*^9, 3.47989568356*^9}, {3.4798957459969997`*^9, 
   3.479895763672*^9}, {3.479895855211*^9, 3.479895856066*^9}, {
   3.479895887908*^9, 3.479895908967*^9}, {3.479896028991*^9, 
   3.479896032427*^9}, {3.479896118796*^9, 3.4798961332530003`*^9}, {
   3.479896172035*^9, 3.479896257992*^9}, {3.479896785693*^9, 
   3.479896789021*^9}, 3.479896930263*^9, {3.479896975626*^9, 
   3.479897018762*^9}, {3.479897165656*^9, 3.4798972163719997`*^9}, {
   3.479897251124*^9, 3.479897269257*^9}, {3.479897319014*^9, 
   3.479897333163*^9}, {3.479897518513*^9, 3.479897530433*^9}, {
   3.479897566582*^9, 3.4798976678120003`*^9}, {3.479897758992*^9, 
   3.479897776598*^9}, {3.4798978445439997`*^9, 3.4798978712980003`*^9}, {
   3.4798979421689997`*^9, 3.4798979603640003`*^9}, {3.479899274118*^9, 
   3.479899296469*^9}, 3.4798993920889997`*^9, {3.479899562168*^9, 
   3.479899563734*^9}, {3.4799668872460003`*^9, 3.4799668910880003`*^9}, 
   3.479967570477*^9, {3.4799941392814693`*^9, 3.479994172683379*^9}, {
   3.4799942576692405`*^9, 3.479994260691413*^9}, {3.4799943028158226`*^9, 
   3.4799943274072294`*^9}, {3.4799947190446296`*^9, 
   3.4799947201446924`*^9}, {3.4800501298991756`*^9, 
   3.4800501649771824`*^9}, {3.4800506971456203`*^9, 
   3.4800507346197643`*^9}, {3.4800508505563955`*^9, 3.4800508797470646`*^9}, 
   3.4800509740254574`*^9, {3.4800510227012415`*^9, 3.4800510638575954`*^9}, {
   3.4800511279772625`*^9, 3.480051148783453*^9}, {3.4800511835164394`*^9, 
   3.480051185343544*^9}, {3.480051380496706*^9, 3.4800514485135965`*^9}, 
   3.4800516102218456`*^9, {3.480051789006071*^9, 3.480051797583562*^9}, {
   3.4800518986493425`*^9, 3.4800518992043743`*^9}, 3.480051950718321*^9, {
   3.480052061849677*^9, 3.480052082127837*^9}, {3.4800521223111353`*^9, 
   3.4800521511977873`*^9}, {3.480068637112137*^9, 3.48006868752102*^9}, {
   3.480493712974*^9, 3.4804937312390003`*^9}, {3.480839504826347*^9, 
   3.480839542057476*^9}, {3.48315590107161*^9, 3.4831559212687654`*^9}, {
   3.4831562192558093`*^9, 3.4831562238790736`*^9}, 3.5034720132108145`*^9, {
   3.5051118420442247`*^9, 3.5051118697698107`*^9}, {3.5051119749178247`*^9, 
   3.5051119922938185`*^9}, {3.505214083517995*^9, 3.505214084216035*^9}, {
   3.5052862889620523`*^9, 3.5052862936763215`*^9}, {3.5052864205365777`*^9, 
   3.505286423651756*^9}, {3.505286516650075*^9, 3.505286517989152*^9}, {
   3.5052866814915037`*^9, 3.505286683562622*^9}, {3.5052871093789773`*^9, 
   3.5052871166263914`*^9}, {3.5052871599788713`*^9, 
   3.5052871631720543`*^9}, {3.5052939560015817`*^9, 
   3.5052939565286117`*^9}, {3.506494446314169*^9, 3.506494450764424*^9}, {
   3.5064953693809657`*^9, 3.5064953986956425`*^9}, {3.506495635295175*^9, 
   3.506495707901328*^9}, {3.5064957431183424`*^9, 3.5064957467675505`*^9}, {
   3.5064958801781816`*^9, 3.5064958837893877`*^9}, 3.5064960014101157`*^9, {
   3.506496169693741*^9, 3.506496173368951*^9}, 3.506496218763548*^9, {
   3.5064962603569264`*^9, 3.5064963724273367`*^9}, {3.5064965020247493`*^9, 
   3.5064965067540197`*^9}, {3.506496575419947*^9, 3.5064966053516593`*^9}, {
   3.5064966395606155`*^9, 3.5064966690333014`*^9}, 3.5064968282254066`*^9, {
   3.5064971612974577`*^9, 3.5064972174206676`*^9}, {3.5064973455789976`*^9, 
   3.506497353326441*^9}, {3.506849850501514*^9, 3.506849851036545*^9}, {
   3.5075448788543973`*^9, 3.5075448815265503`*^9}, {3.5075449164455476`*^9, 
   3.5075449313454*^9}, {3.507545260145206*^9, 3.5075453128322196`*^9}, {
   3.507545632281491*^9, 3.5075456462892923`*^9}, {3.5083155161608243`*^9, 
   3.5083155294815865`*^9}, {3.50831635564684*^9, 3.508316357614953*^9}, {
   3.50831640232051*^9, 3.50831642558084*^9}, {3.508316548945896*^9, 
   3.5083165558032885`*^9}, {3.5083166606002827`*^9, 
   3.5083166691777735`*^9}, {3.5083172416175146`*^9, 
   3.5083172431126003`*^9}, {3.508317341592233*^9, 3.508317352599863*^9}, {
   3.508317390933055*^9, 3.508317553000325*^9}, {3.508317604260257*^9, 
   3.5083176531220517`*^9}, {3.508317721656972*^9, 3.5083177536718025`*^9}, {
   3.5707750056989927`*^9, 3.5707750340195694`*^9}, {3.57077801472999*^9, 
   3.5707780288268166`*^9}}],

Cell[CellGroupData[{

Cell["Export an image to a file", "Section",
 CellChangeTimes->{{3.505111775235403*^9, 3.505111783247862*^9}, {
   3.505112111017609*^9, 3.5051121123196836`*^9}, {3.5051190166395884`*^9, 
   3.505119017581642*^9}, {3.588479914518835*^9, 3.5884799185353613`*^9}, 
   3.5884806624718914`*^9}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"?", "Figure"}]], "Input",
 CellChangeTimes->{{3.5051119125202556`*^9, 3.505111919096632*^9}, 
   3.5051138002252264`*^9}],

Cell[BoxData[
 StyleBox["\<\"Figure[file][image] exports an image to a file\"\>", 
  "MSG"]], "Print", "PrintUsage",
 CellChangeTimes->{3.570778039097096*^9},
 CellTags->"Info3570781639-3584394"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Options", "Subsection",
 CellChangeTimes->{{3.5051136054230843`*^9, 3.5051136064711437`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Options", "[", "Figure", "]"}]], "Input",
 CellChangeTimes->{{3.5051138527872324`*^9, 3.505113856191427*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"Directory", "\[Rule]", "Automatic"}], ",", 
   RowBox[{"ImageSize", "\[Rule]", "Automatic"}], ",", 
   RowBox[{"ImageResolution", "\[Rule]", "Automatic"}], ",", 
   RowBox[{"FileExtension", "\[Rule]", "\<\"pdf\"\>"}], ",", 
   RowBox[{"Export", "\[Rule]", "False"}], ",", 
   RowBox[{"EmbedAllFonts", "\[Rule]", "True"}], ",", 
   RowBox[{"Tiny", "\[Rule]", "64"}], ",", 
   RowBox[{"Small", "\[Rule]", "128"}], ",", 
   RowBox[{"Medium", "\[Rule]", "256"}], ",", 
   RowBox[{"Large", "\[Rule]", "512"}]}], "}"}]], "Output",
 CellChangeTimes->{3.5051145385234547`*^9, 3.5052140583175535`*^9, 
  3.57077803914112*^9}]
}, Open  ]],

Cell["The options are nearly self-explanatory", "Text",
 CellChangeTimes->{{3.505115124159951*^9, 3.5051151400778613`*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Example", "Subsection",
 CellChangeTimes->{{3.505112211999385*^9, 3.5051122137344837`*^9}}],

Cell["\<\
Figure is useful because it is constructed  to be attached as an afterthought \
. Notice that the directory is the user directory, unless otherwise defined.\
\>", "Text",
 CellChangeTimes->{{3.5051122790242186`*^9, 3.5051123069748173`*^9}, {
  3.5051138193423195`*^9, 3.505113844837778*^9}, {3.5051142778065424`*^9, 
  3.5051142830698433`*^9}, {3.505115152688583*^9, 3.5051151638312197`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Plot", "[", 
   RowBox[{
    RowBox[{"Sin", "[", "x", "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"x", ",", "0", ",", "\[Pi]"}], "}"}]}], "]"}], "//", 
  RowBox[{"Figure", "[", 
   RowBox[{"\"\<sineplot\>\"", ",", 
    RowBox[{"Export", "\[Rule]", "True"}], ",", 
    RowBox[{"EmbedAllFonts", "\[Rule]", "True"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.5051142488578863`*^9, 3.5051142527211075`*^9}, {
  3.570778054187997*^9, 3.570778072837371*^9}}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Figure", "::", "export"}], "MessageName"], ":", 
  " ", "\<\"Image exported to \
\[NoBreak]\\!\\(\\\"C:\\\\\\\\Users\\\\\\\\Benny\\\\\\\\Documents\\\\\\\\My \
Dropbox\\\\\\\\LAUTRUP\\\\\\\\Mathematica\\\\\\\\lautrup\\\\\\\\sineplot.pdf\\\
\"\\)\[NoBreak]\"\>"}]], "Message", "MSG",
 CellChangeTimes->{{3.5707780650173407`*^9, 3.5707780737194805`*^9}}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"EmbedAllFonts", "::", "noembed"}], "MessageName"], ":", 
  " ", "\<\"Unable to embed fonts\"\>"}]], "Message", "MSG",
 CellChangeTimes->{{3.5707780650173407`*^9, 3.5707780738594575`*^9}}],

Cell[BoxData[
 GraphicsBox[{{}, {}, 
   {Hue[0.67, 0.6, 0.6], LineBox[CompressedData["
1:eJwt2Hk0VV/YB3BD5VIqUyU0aJJEUiT0vfwqRZkqDSKUkpSpUIkGqSghSTJU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     "]]}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesLabel->{None, None},
  AxesOrigin->{0, 0},
  Method->{},
  PlotRange->
   NCache[{{0, Pi}, {0., 0.9999999707682925}}, {{0, 3.141592653589793}, {0., 
     0.9999999707682925}}],
  PlotRangeClipping->True,
  PlotRangePadding->{
    Scaled[0.02], 
    Scaled[0.02]}]], "Output",
 CellChangeTimes->{
  3.5051145386314607`*^9, 3.505214058506564*^9, {3.570778039331139*^9, 
   3.5707780738754597`*^9}}]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}, Open  ]]
},
AutoGeneratedPackage->Automatic,
WindowSize->{887, 740},
WindowMargins->{{478, Automatic}, {Automatic, 1}},
ShowSelection->True,
FrontEndVersion->"9.0 for Microsoft Windows (64-bit) (January 25, 2013)",
StyleDefinitions->FrontEnd`FileName[{"Report"}, "StandardReport.nb", 
  CharacterEncoding -> "WindowsANSI"]
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "Info3570781639-3584394"->{
  Cell[21387, 393, 195, 4, 40, "Print",
   CellTags->"Info3570781639-3584394"]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"Info3570781639-3584394", 30724, 602}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[567, 22, 201, 3, 99, "Title"],
Cell[771, 27, 20128, 349, 841, "Input",
 InitializationCell->True],
Cell[CellGroupData[{
Cell[20924, 380, 290, 4, 88, "Section"],
Cell[CellGroupData[{
Cell[21239, 388, 145, 3, 40, "Input"],
Cell[21387, 393, 195, 4, 40, "Print",
 CellTags->"Info3570781639-3584394"]
}, Open  ]],
Cell[CellGroupData[{
Cell[21619, 402, 99, 1, 37, "Subsection"],
Cell[CellGroupData[{
Cell[21743, 407, 133, 2, 40, "Input"],
Cell[21879, 411, 668, 14, 61, "Output"]
}, Open  ]],
Cell[22562, 428, 123, 1, 30, "Text"]
}, Open  ]],
Cell[CellGroupData[{
Cell[22722, 434, 97, 1, 37, "Subsection"],
Cell[22822, 437, 402, 6, 49, "Text"],
Cell[CellGroupData[{
Cell[23249, 447, 488, 12, 40, "Input"],
Cell[23740, 461, 399, 8, 21, "Message"],
Cell[24142, 471, 235, 5, 21, "Message"],
Cell[24380, 478, 5853, 105, 254, "Output"]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
