(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     19796,        511]
NotebookOptionsPosition[     18995,        480]
NotebookOutlinePosition[     19485,        498]
CellTagsIndexPosition[     19442,        495]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Packet: PhysicalConstants", "Title",
 CellChangeTimes->{{3.5051190456542473`*^9, 3.5051190506145315`*^9}, {
  3.588483755207762*^9, 3.5884837604554434`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"BeginPackage", "[", 
   RowBox[{"\"\<Lautrup`PhysicalConstants`\>\"", ",", 
    RowBox[{"{", "\"\<Lautrup`Units`\>\"", "}"}]}], "]"}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"Unprotect", "[", "\"\<`*\>\"", "]"}], ";"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{"(*", " ", "messages", " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"AirMolarMass", "::", "\"\<usage\>\""}], "=", 
   "\"\<Molar mass of air\>\""}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"WaterMolarMass", "::", "\"\<usage\>\""}], "=", 
   "\"\<Molar mass of water\>\""}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"SunMass", "::", "\"\<usage\>\""}], "=", "\"\<Mass of Sun.\>\""}], 
  ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"SunRadius", "::", "\"\<usage\>\""}], "=", 
   "\"\<Radius of Sun.\>\""}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"EarthOrbitRadius", "::", "\"\<usage\>\""}], "=", 
   "\"\<Radius of Earth orbit.\>\""}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"MarsMass", "::", "\"\<usage\>\""}], "=", 
   "\"\<Mass of Mars.\>\""}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"MarsRadius", "::", "\"\<usage\>\""}], "=", 
   "\"\<Radius of Mars.\>\""}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"MoonMass", "::", "\"\<usage\>\""}], "=", 
   "\"\<Mass of Moon.\>\""}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"MoonRadius", "::", "\"\<usage\>\""}], "=", 
   "\"\<Radius of Moon.\>\""}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"MoonOrbitRadius", "::", "\"\<usage\>\""}], "=", 
   "\"\<Radius of Moon orbit.\>\""}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"EarthCoreRadius", "::", "\"\<usage\>\""}], "=", 
   "\"\<Radius of Earth core.\>\""}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"EarthCoreMass", "::", "\"\<usage\>\""}], "=", 
   "\"\<Mass of Earth core.\>\""}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"EarthEquatorialRadius", "::", "\"\<usage\>\""}], " ", "=", " ", 
   "\"\<Equatorial radius of Earth.\>\""}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"EarthPolarRadius", "::", "\"\<usage\>\""}], "=", 
   "\"\<Polar radius of Earth.\>\""}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"ZeroCelsius", "::", "\"\<usage\>\""}], "=", 
   "\"\<0 Celsius in Kelvin\>\""}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"RPM", "::", "\"\<usage\>\""}], "=", 
   "\"\<Rotations per minute\>\""}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"CPS", "::", "\"\<usage\>\""}], "=", "\"\<Cycles per second\>\""}],
   ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"SiderealDay", "::", "\"\<usage\>\""}], "=", 
    "\"\<SiderealDay is a unit of time\>\""}], ";"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"Standard", " ", "constants"}], " ", 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"AccelerationDueToGravity", "=", 
   RowBox[{"Quantity", "[", "\"\<StandardAccelerationOfGravity\>\"", "]"}]}], 
  ";", 
  RowBox[{"AgeOfUniverse", "=", 
   RowBox[{"Quantity", "[", "\"\<UniverseAge\>\"", "]"}]}], ";", 
  RowBox[{"AvogadroConstant", "=", 
   RowBox[{"Quantity", "[", "\"\<AvogadroConstant\>\"", "]"}]}], ";", 
  RowBox[{"BohrRadius", "=", 
   RowBox[{"Quantity", "[", "\"\<BohrRadius\>\"", "]"}]}], ";", 
  RowBox[{"BoltzmannConstant", "=", 
   RowBox[{"Quantity", "[", "\"\<BoltzmannConstant\>\"", "]"}]}], ";", 
  RowBox[{"ClassicalElectronRadius", "=", 
   RowBox[{"Quantity", "[", "\"\<ClassicalElectronRadius\>\"", "]"}]}], ";", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"CosmicBackgroundTemperature", "=", 
     RowBox[{
     "Quantity", "[", "\"\<CosmicMicrowaveBackgroundTemperature\>\"", "]"}]}],
     ";"}], "*)"}], 
  RowBox[{"DeuteronMagneticMoment", "=", 
   RowBox[{"Quantity", "[", "\"\<DeuteronMagneticMoment\>\"", "]"}]}], ";", 
  RowBox[{"DeuteronMass", "=", 
   RowBox[{"Quantity", "[", "\"\<DeuteronMass\>\"", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"EarthMass", "=", 
   RowBox[{"Quantity", "[", "\"\<EarthMass\>\"", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"EarthRadius", "=", 
   RowBox[{"Quantity", "[", "\"\<EarthEquatorialRadius\>\"", "]"}]}], ";", 
  RowBox[{"ElectronCharge", "=", 
   RowBox[{"Quantity", "[", "\"\<ElementaryCharge\>\"", "]"}]}], ";", 
  RowBox[{"ElectronComptonWavelength", "=", 
   RowBox[{"Quantity", "[", "\"\<ElectronComptonWavelength\>\"", "]"}]}], ";", 
  RowBox[{"ElectronGFactor", "=", 
   RowBox[{"Quantity", "[", "\"\<ElectronGFactor\>\"", "]"}]}], ";", 
  RowBox[{"ElectronMagneticMoment", "=", 
   RowBox[{"Quantity", "[", "\"\<ElectronMagneticMoment\>\"", "]"}]}], ";", 
  RowBox[{"ElectronMass", "=", 
   RowBox[{"Quantity", "[", "\"\<ElectronMass\>\"", "]"}]}], ";", 
  RowBox[{"FaradayConstant", "=", 
   RowBox[{"Quantity", "[", "\"\<FaradayConstant\>\"", "]"}]}], ";", 
  RowBox[{"FineStructureConstant", "=", 
   RowBox[{"Quantity", "[", "\"\<FineStructureConstant\>\"", "]"}]}], ";", 
  RowBox[{"GalacticUnit", "=", 
   RowBox[{"Quantity", "[", "\"\<GalacticUnit\>\"", "]"}]}], ";", 
  RowBox[{"GravitationalConstant", "=", 
   RowBox[{"Quantity", "[", "\"\<GravitationalConstant\>\"", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"HubbleConstant", "=", 
   RowBox[{"Quantity", "[", "\"\<HubbleConstant\>\"", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"IcePoint", "=", 
     RowBox[{"Quantity", "[", "\"\<WaterIcePoint\>\"", "]"}]}], ";"}], "*)"}], 
  RowBox[{
   RowBox[{"MagneticFluxQuantum", "=", 
    RowBox[{"Quantity", "[", "\"\<MagneticFluxQuantum\>\"", "]"}]}], ";", 
   RowBox[{"MolarGasConstant", "=", 
    RowBox[{"Quantity", "[", "\"\<MolarGasConstant\>\"", "]"}]}], ";", 
   RowBox[{"MolarVolume", "=", 
    RowBox[{"Quantity", "[", "\"\<IdealGasMolarVolume\>\"", "]"}]}], ";", 
   RowBox[{"MuonGFactor", "=", 
    RowBox[{"Quantity", "[", "\"\<MuonGFactor\>\"", "]"}]}], ";", 
   RowBox[{"MuonMagneticMoment", "=", 
    RowBox[{"Quantity", "[", "\"\<MuonMagneticMoment\>\"", "]"}]}], ";", 
   RowBox[{"MuonMass", "=", 
    RowBox[{"Quantity", "[", "\"\<MuonMass\>\"", "]"}]}], ";", 
   RowBox[{"NeutronComptonWavelength", "=", 
    RowBox[{"Quantity", "[", "\"\<NeutronComptonWavelength\>\"", "]"}]}], ";", 
   RowBox[{"NeutronMagneticMoment", "=", 
    RowBox[{"Quantity", "[", "\"\<NeutronMagneticMoment\>\"", "]"}]}], ";", 
   RowBox[{"NeutronMass", "=", 
    RowBox[{"Quantity", "[", "\"\<NeutronMass\>\"", "]"}]}], 
   ";"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"PlanckConstant", "=", 
   RowBox[{"Quantity", "[", "\"\<PlanckConstant\>\"", "]"}]}], ";", 
  RowBox[{"PlanckConstantReduced", "=", 
   RowBox[{"Quantity", "[", "\"\<ReducedPlanckConstant\>\"", "]"}]}], ";", 
  RowBox[{"PlanckMass", "=", 
   RowBox[{"Quantity", "[", "\"\<PlanckMass\>\"", "]"}]}], ";", 
  RowBox[{"ProtonComptonWavelength", "=", 
   RowBox[{"Quantity", "[", "\"\<ProtonComptonWavelength\>\"", "]"}]}], ";", 
  RowBox[{"ProtonMagneticMoment", "=", 
   RowBox[{"Quantity", "[", "\"\<ProtonMagneticMoment\>\"", "]"}]}], ";", 
  RowBox[{"ProtonMass", "=", 
   RowBox[{"Quantity", "[", "\"\<ProtonMass\>\"", "]"}]}], ";", 
  RowBox[{"QuantizedHallConductance", "=", 
   RowBox[{"Quantity", "[", "\"\<QuantizedHallConductance\>\"", "]"}]}], ";", 
  RowBox[{"RydbergConstant", "=", 
   RowBox[{"Quantity", "[", "\"\<RydbergConstant\>\"", "]"}]}], ";", 
  RowBox[{"SackurTetrodeConstant", "=", 
   RowBox[{"Quantity", "[", "\"\<SackurTetrodeConstant\>\"", "]"}]}], ";", 
  RowBox[{"SolarConstant", "=", 
   RowBox[{"Quantity", "[", "\"\<SolarConstant\>\"", "]"}]}], ";", 
  RowBox[{"SolarLuminosity", "=", 
   RowBox[{"Quantity", "[", "\"\<SolarLuminosity\>\"", "]"}]}], ";", 
  RowBox[{"SolarRadius", "=", 
   RowBox[{"Quantity", "[", "\"\<SolarRadius\>\"", "]"}]}], ";", 
  RowBox[{"SolarSchwarzschildRadius", "=", 
   RowBox[{"Quantity", "[", "\"\<SolarSchwarzschildRadius\>\"", "]"}]}], ";", 
  RowBox[{"SpeedOfLight", "=", 
   RowBox[{"Quantity", "[", "\"\<SpeedOfLight\>\"", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"SpeedOfSound", "=", 
    RowBox[{"Quantity", "[", "\"\<SpeedOfSound\>\"", "]"}]}], ";", 
   RowBox[{"StefanConstant", "=", 
    RowBox[{"Quantity", "[", "\"\<StefanBoltzmannConstant\>\"", "]"}]}], ";", 
   RowBox[{"ThomsonCrossSection", "=", 
    RowBox[{"Quantity", "[", "\"\<ThomsonCrossSection\>\"", "]"}]}], ";", 
   RowBox[{"VacuumPermeability", "=", 
    RowBox[{"Quantity", "[", "\"\<MagneticConstant\>\"", "]"}]}], ";", 
   RowBox[{"VacuumPermittivity", "=", 
    RowBox[{"Quantity", "[", "\"\<ElectricConstant\>\"", "]"}]}], ";", 
   RowBox[{"WeakMixingAngle", "=", 
    RowBox[{"Quantity", "[", "\"\<WeakMixingAngleConstant\>\"", "]"}]}], 
   ";"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"Other", " ", "constants"}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"AirMolarMass", "=", 
   FractionBox[
    RowBox[{"0.0289635`", " ", "Kilogram"}], "Mole"]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"WaterMolarMass", "=", 
   FractionBox[
    RowBox[{"0.01802`", " ", "Kilogram"}], "Mole"]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"EarthCoreRadius", "=", 
   RowBox[{"3485000", " ", "Meter"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"EarthCoreMass", "=", 
   RowBox[{"1.94`*^24", " ", "Kilogram"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"EarthOrbitRadius", "=", 
   RowBox[{"1.495979`*^11", " ", "Meter"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"MoonRadius", "=", 
   RowBox[{"1.7382`*^6", " ", "Meter"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"MoonMass", "=", 
   RowBox[{"7.3483`*^22", " ", "Kilogram"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"MoonOrbitRadius", "=", 
   RowBox[{"384401000", " ", "Meter"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"MarsMass", "=", 
   RowBox[{"6.4191`*^23", " ", "Kilogram"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"MarsRadius", "=", 
   RowBox[{"3397000", " ", "Meter"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"SunMass", "=", 
   RowBox[{"1.9891`*^30", " ", "Kilogram"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"SunRadius", "=", 
   RowBox[{"6.9599`*^8", " ", "Meter"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"EarthEquatorialRadius", "=", 
   RowBox[{"6378135", " ", "Meter"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"EarthPolarRadius", "=", 
   RowBox[{"6356750", " ", "Meter"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ZeroCelsius", " ", "=", " ", 
   RowBox[{"273.15", " ", "Kelvin"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"RPM", "=", 
   RowBox[{"2", 
    RowBox[{"\[Pi]", "/", "Minute"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"CPS", "=", 
   RowBox[{"2", 
    RowBox[{"\[Pi]", "/", "Second"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SiderealDay", "=", 
   RowBox[{"86164.090530833", " ", "Second"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Horsepower", "=", 
   RowBox[{"745.7", " ", "Watt"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Calorie", "=", 
   RowBox[{"4.18", " ", "Joule"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"BTU", "=", 
   RowBox[{"1055.06", " ", "Joule"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Week", "=", 
    RowBox[{"7", "Day"}]}], ";"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"Prefix", " ", "values"}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Yocto", "=", 
   SuperscriptBox["10", 
    RowBox[{"-", "24"}]]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Zepto", "=", 
   SuperscriptBox["10", 
    RowBox[{"-", "21"}]]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Atto", "=", 
   SuperscriptBox["10", 
    RowBox[{"-", "18"}]]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Femto", "=", 
   SuperscriptBox["10", 
    RowBox[{"-", "15"}]]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Pico", "=", 
   SuperscriptBox["10", 
    RowBox[{"-", "12"}]]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Nano", "=", 
   SuperscriptBox["10", 
    RowBox[{"-", "9"}]]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Micro", "=", 
   SuperscriptBox["10", 
    RowBox[{"-", "6"}]]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Milli", "=", 
   SuperscriptBox["10", 
    RowBox[{"-", "3"}]]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Centi", "=", 
   SuperscriptBox["10", 
    RowBox[{"-", "2"}]]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Deci", "=", 
   SuperscriptBox["10", 
    RowBox[{"-", "1"}]]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Deka", "=", 
   SuperscriptBox["10", "1"]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Hecto", "=", 
   SuperscriptBox["10", "2"]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Kilo", "=", 
   SuperscriptBox["10", "3"]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Mega", "=", 
   SuperscriptBox["10", "6"]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Giga", "=", 
   SuperscriptBox["10", "9"]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Tera", "=", 
   SuperscriptBox["10", "12"]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Peta", "=", 
   SuperscriptBox["10", "15"]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Exa", "=", 
   SuperscriptBox["10", "18"]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Zetta", "=", 
   SuperscriptBox["10", "21"]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Yotta", "=", 
    SuperscriptBox["10", "24"]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Protect", "[", "\"\<`*\>\"", "]"}], ";"}], "\n", 
 RowBox[{
  RowBox[{"EndPackage", "[", "]"}], ";"}]}], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.40046937766638*^9, 3.4004695161373796`*^9}, {
   3.4004696947623796`*^9, 3.4004697135093794`*^9}, {3.40046986752938*^9, 
   3.4004699869653797`*^9}, {3.4004706987663794`*^9, 3.40047069914738*^9}, {
   3.4004707400333796`*^9, 3.4004707432483797`*^9}, {3.4004714709433794`*^9, 
   3.4004715316813793`*^9}, {3.4005075859789867`*^9, 
   3.4005075885349865`*^9}, {3.400507908193987*^9, 3.400507982089987*^9}, {
   3.479199753972*^9, 3.479199760179*^9}, {3.479199794099*^9, 
   3.4791998002279997`*^9}, 3.479199861012*^9, {3.48083962377015*^9, 
   3.4808396258792706`*^9}, {3.480839679772353*^9, 3.4808396875878*^9}, {
   3.480839719147605*^9, 3.480839723896877*^9}, {3.4938760031400003`*^9, 
   3.49387600669*^9}, {3.493876323705*^9, 3.493876406318*^9}, {
   3.50511907506993*^9, 3.505119115929267*^9}, {3.505283811122328*^9, 
   3.5052838280092936`*^9}, {3.505283880522297*^9, 3.50528392463282*^9}, {
   3.505291451040306*^9, 3.5052914633770113`*^9}, {3.5052915310828843`*^9, 
   3.5052915351771183`*^9}, {3.505291581066743*^9, 3.5052916003138437`*^9}, 
   3.5636812393330927`*^9, {3.563681298431604*^9, 3.5636813077388153`*^9}, {
   3.5753644377766695`*^9, 3.575364444063451*^9}, {3.5753646673254776`*^9, 
   3.57536468604385*^9}, 3.575364781312804*^9, {3.5753648295458164`*^9, 
   3.575364842139394*^9}, {3.5753657151040096`*^9, 3.575365717191325*^9}, {
   3.5753661505497065`*^9, 3.5753662269303317`*^9}, {3.575366304465027*^9, 
   3.5753663245185723`*^9}, {3.5753663833329716`*^9, 
   3.5753664051016903`*^9}, {3.57536655639969*^9, 3.5753666135758457`*^9}, {
   3.5753668030156155`*^9, 3.575366814875144*^9}, {3.575367038767217*^9, 
   3.575367045029007*^9}, {3.575367125111108*^9, 3.5753671299277353`*^9}, {
   3.575367167187383*^9, 3.575367198104267*^9}, {3.5753672375852365`*^9, 
   3.5753672940653296`*^9}, {3.575367389216256*^9, 3.5753675283856964`*^9}, {
   3.5753675860890026`*^9, 3.575367626147972*^9}, {3.575367845842582*^9, 
   3.575367847359808*^9}, {3.5753701344199886`*^9, 3.5753701557546444`*^9}, 
   3.575376112088995*^9, {3.575439981727314*^9, 3.575439982908456*^9}, {
   3.575446486760705*^9, 3.5754465022355623`*^9}, {3.5755298938620443`*^9, 
   3.575529896214325*^9}, 3.575533508887796*^9, {3.575602507402755*^9, 
   3.5756025305165267`*^9}, {3.575603287931405*^9, 3.575603288600485*^9}, {
   3.5756035089879284`*^9, 3.575603521653448*^9}, {3.5756042032042227`*^9, 
   3.575604224906827*^9}, {3.5756044365222187`*^9, 3.5756044583258357`*^9}, {
   3.575604663929505*^9, 3.575604680216465*^9}, {3.5756050628243656`*^9, 
   3.575605067394915*^9}, {3.575605409684986*^9, 3.5756054159047303`*^9}, {
   3.576487954130338*^9, 3.5764879564966335`*^9}, {3.5766651458918495`*^9, 
   3.5766651481331177`*^9}, {3.5885736365721807`*^9, 
   3.5885736425299497`*^9}, {3.588573687819687*^9, 3.5885736932563796`*^9}, {
   3.5885760011865416`*^9, 3.5885760117478604`*^9}}],

Cell[CellGroupData[{

Cell["Usage", "Section",
 CellChangeTimes->{{3.5051190346386175`*^9, 3.505119040166934*^9}, 
   3.5051191512062845`*^9, {3.588483772864025*^9, 3.588483773511119*^9}}],

Cell[CellGroupData[{

Cell["Example", "Subsection",
 CellChangeTimes->{{3.505119155406525*^9, 3.505119156694599*^9}}],

Cell["Volume of Earth\t", "Text",
 CellChangeTimes->{{3.5051193062381525`*^9, 3.5051193102463813`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   FractionBox[
    RowBox[{"4", " ", "\[Pi]"}], "3"], 
   SuperscriptBox["EarthRadius", "3"]}], "//", "ToSI"}]], "Input",
 CellChangeTimes->{{3.5051193149916525`*^9, 3.5051193689137373`*^9}, {
   3.5753677970704403`*^9, 3.5753678011610203`*^9}, 3.588483830565301*^9}],

Cell[BoxData[
 TemplateBox[{
  "1.0868513265199592993723415248879262891396`7.522878745280337*^21"},
  "QuantityUnit",
  DisplayFunction->(TooltipBox[
    StyleBox[
     RowBox[{#, "\[InvisibleSpace]", 
       StyleBox[
        RowBox[{" ", 
          RowBox[{
            SuperscriptBox["\"m\"", "3"]}]}], 
        "QuantityUnitTraditionalLabel"]}], ShowStringCharacters -> False], 
    "Unit: meters cubed"]& ),
  InterpretationFunction->(RowBox[{"Quantity", "[", 
     RowBox[{#, ",", 
       SuperscriptBox["\"Meters\"", "3"]}], "]"}]& )]], "Output",
 CellChangeTimes->{{3.5753677915377536`*^9, 3.5753678015420666`*^9}, {
  3.588483791983404*^9, 3.5884838310903683`*^9}}]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}, Open  ]]
},
AutoGeneratedPackage->Automatic,
ScreenStyleEnvironment->"Working",
WindowSize->{792, 904},
WindowMargins->{{Automatic, 148}, {Automatic, 33}},
FrontEndVersion->"9.0 for Microsoft Windows (64-bit) (January 25, 2013)",
StyleDefinitions->FrontEnd`FileName[{"Report"}, "StandardReport.nb", 
  CharacterEncoding -> "WindowsANSI"]
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[567, 22, 163, 2, 99, "Title"],
Cell[733, 26, 16788, 404, 2455, "Input",
 InitializationCell->True],
Cell[CellGroupData[{
Cell[17546, 434, 166, 2, 88, "Section"],
Cell[CellGroupData[{
Cell[17737, 440, 95, 1, 37, "Subsection"],
Cell[17835, 443, 103, 1, 30, "Text"],
Cell[CellGroupData[{
Cell[17963, 448, 303, 7, 55, "Input"],
Cell[18269, 457, 674, 17, 40, "Output"]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
