(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     18407,        624]
NotebookOptionsPosition[     15951,        548]
NotebookOutlinePosition[     16399,        565]
CellTagsIndexPosition[     16356,        562]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{"<<", "\"\<Lautrup`\>\""}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.414686992449*^9, 3.414686994575*^9}, {3.41468702696*^9, 
   3.414687030208*^9}, 3.505541336441495*^9}],

Cell[CellGroupData[{

Cell["Initialize", "Section"],

Cell[BoxData[
 RowBox[{"CleanGlobal", "[", "]"}]], "Input",
 CellChangeTimes->{{3.4146870900179996`*^9, 3.414687091215*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Off", "[", 
   RowBox[{"General", "::", "spell1"}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Off", "[", 
   RowBox[{"General", "::", "spell"}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Off", "[", 
   RowBox[{"InterpolatingFunction", "::", "dmval"}], "]"}], ";"}]}], "Input"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"SetOptions", "[", 
   RowBox[{"ListInterpolation", ",", 
    RowBox[{"InterpolationOrder", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"1", ",", "1"}], "}"}]}]}], "]"}], ";"}], "\n", 
 RowBox[{
  RowBox[{"SetOptions", "[", 
   RowBox[{"Plot3D", ",", 
    RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}], ";"}]}], "Input"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"input", " ", "=", " ", 
   RowBox[{"OpenRead", "[", "\"\<elastic.data\>\"", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Read", "[", 
   RowBox[{"input", ",", "Expression"}], "]"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{"initial", " ", "data"}], " ", "*)"}], ";"}]}], "Input"],

Cell[BoxData["a"], "Input"],

Cell[BoxData["b"], "Input"],

Cell[BoxData["nx"], "Input"],

Cell[BoxData["ny"], "Input"],

Cell[BoxData["Y"], "Input"],

Cell[BoxData["nu"], "Input"],

Cell[BoxData["lambda"], "Input"],

Cell[BoxData["mu"], "Input"],

Cell[BoxData["rho0g0"], "Input"],

Cell[BoxData["scale"], "Input"],

Cell[BoxData["omega"], "Input"],

Cell[BoxData["accuracy"], "Input"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Visualize an iteration", "Section"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Do", "[", 
   RowBox[{
    RowBox[{"Read", "[", 
     RowBox[{"input", ",", "Expression"}], "]"}], ",", 
    RowBox[{"{", "10", "}"}]}], "]"}], ";"}], "\n", "iter"}], "Input",
 CellChangeTimes->{{3.4147333018347974`*^9, 3.4147333651957974`*^9}, {
  3.4147334066847973`*^9, 3.4147334148437977`*^9}, {3.4147337966707973`*^9, 
  3.4147337970367975`*^9}}],

Cell[BoxData["precision"], "Input"],

Cell[BoxData["energy"], "Input"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"uxi", " ", "=", " ", 
   RowBox[{"ListInterpolation", "[", 
    RowBox[{"ux", ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", "y"}], "}"}]}], "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"uyi", " ", "=", " ", 
    RowBox[{"ListInterpolation", "[", 
     RowBox[{"uy", ",", 
      RowBox[{"{", 
       RowBox[{"x", ",", "y"}], "}"}]}], "]"}]}], ";"}], 
  "\n"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"uxxi", " ", "=", " ", 
   RowBox[{"ListInterpolation", "[", 
    RowBox[{"uxx", ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", "y"}], "}"}]}], "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"uyyi", " ", "=", " ", 
   RowBox[{"ListInterpolation", "[", 
    RowBox[{"uyy", ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", "y"}], "}"}]}], "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"uxyi", " ", "=", " ", 
    RowBox[{"ListInterpolation", "[", 
     RowBox[{"uxy", ",", 
      RowBox[{"{", 
       RowBox[{"x", ",", "y"}], "}"}]}], "]"}]}], ";"}], 
  "\n"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"sxxi", " ", "=", " ", 
   RowBox[{"ListInterpolation", "[", 
    RowBox[{"sxx", ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", "y"}], "}"}]}], "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"syyi", " ", "=", " ", 
   RowBox[{"ListInterpolation", "[", 
    RowBox[{"syy", ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", "y"}], "}"}]}], "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"sxyi", " ", "=", " ", 
   RowBox[{"ListInterpolation", "[", 
    RowBox[{"sxy", ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", "y"}], "}"}]}], "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.414735956608797*^9, 3.4147359599687977`*^9}}],

Cell[BoxData[
 RowBox[{"Plot3D", "[", 
  RowBox[{
   RowBox[{"uxi", "[", 
    RowBox[{"x1", ",", "y1"}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"x1", ",", "0", ",", "a"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"y1", ",", "0", ",", "b"}], "}"}]}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"Plot3D", "[", 
  RowBox[{
   RowBox[{"uyi", "[", 
    RowBox[{"x1", ",", "y1"}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"x1", ",", "0", ",", "a"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"y1", ",", "0", ",", "b"}], "}"}]}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"Plot3D", "[", 
  RowBox[{
   RowBox[{"uxxi", "[", 
    RowBox[{"x1", ",", "y1"}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"x1", ",", "0", ",", "a"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"y1", ",", "0", ",", "b"}], "}"}]}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"Plot3D", "[", 
  RowBox[{
   RowBox[{"uyyi", "[", 
    RowBox[{"x1", ",", "y1"}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"x1", ",", "0", ",", "a"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"y1", ",", "0", ",", "b"}], "}"}]}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"Plot3D", "[", 
  RowBox[{
   RowBox[{"uxyi", "[", 
    RowBox[{"x1", ",", "y1"}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"x1", ",", "0", ",", "a"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"y1", ",", "0", ",", "b"}], "}"}]}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"Plot3D", "[", 
  RowBox[{
   RowBox[{"sxxi", "[", 
    RowBox[{"x1", ",", "y1"}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"x1", ",", "0", ",", "a"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"y1", ",", "0", ",", "b"}], "}"}]}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"Plot3D", "[", 
  RowBox[{
   RowBox[{"syyi", "[", 
    RowBox[{"x1", ",", "y1"}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"x1", ",", "0", ",", "a"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"y1", ",", "0", ",", "b"}], "}"}]}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"Plot3D", "[", 
  RowBox[{
   RowBox[{"sxyi", "[", 
    RowBox[{"x1", ",", "y1"}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"x1", ",", "0", ",", "a"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"y1", ",", "0", ",", "b"}], "}"}]}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"VectorPlot", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"uxi", "[", 
      RowBox[{"x1", ",", "y1"}], "]"}], ",", 
     RowBox[{"uyi", "[", 
      RowBox[{"x1", ",", "y1"}], "]"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"x1", ",", "0", ",", "a"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"y1", ",", "0", ",", "b"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.4147358397147975`*^9, 3.4147358464597974`*^9}, {
  3.4147358873067975`*^9, 3.4147359247167974`*^9}, {3.5055414161900563`*^9, 
  3.5055414163720665`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"xy", "=", 
   RowBox[{"Outer", "[", 
    RowBox[{"List", ",", "x", ",", "y"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"vectors", "=", 
   RowBox[{"MapThread", "[", 
    RowBox[{"List", ",", 
     RowBox[{"{", 
      RowBox[{"ux", ",", "uy"}], "}"}], ",", "2"}], "]"}]}], ";", 
  RowBox[{"field", "=", 
   RowBox[{"Flatten", "[", 
    RowBox[{
     RowBox[{"MapThread", "[", 
      RowBox[{"List", ",", 
       RowBox[{"{", 
        RowBox[{"xy", ",", "vectors"}], "}"}], ",", "2"}], "]"}], ",", "1"}], 
    "]"}]}], ";", 
  RowBox[{"ListVectorPlot", "[", 
   RowBox[{"field", ",", 
    RowBox[{"PlotRange", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "a"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "b"}], "}"}]}], "}"}]}], ",", 
    RowBox[{"Frame", "\[Rule]", "True"}]}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.414687254741*^9, 3.414687261958*^9}, {3.414687293796*^9,
    3.414687317028*^9}, {3.4147316266427975`*^9, 3.414731648528797*^9}, {
   3.4147317268037977`*^9, 3.414731752608797*^9}, {3.4147339690557976`*^9, 
   3.4147339778547974`*^9}, {3.5055413846012497`*^9, 3.505541385773317*^9}, 
   3.505541446468788*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"uy", "[", 
   RowBox[{"[", "1", "]"}], "]"}], "[", 
  RowBox[{"[", 
   RowBox[{"ny", "+", "1"}], "]"}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"uy", "[", 
   RowBox[{"[", 
    RowBox[{"nx", "+", "1"}], "]"}], "]"}], "[", 
  RowBox[{"[", 
   RowBox[{"ny", "+", "1"}], "]"}], "]"}]], "Input"],

Cell[CellGroupData[{

Cell["Perimeter of deformed block", "Subsection"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"rx", "[", 
    RowBox[{"x_", ",", "y_"}], "]"}], " ", ":=", " ", 
   RowBox[{"x", "+", " ", 
    RowBox[{"uxi", "[", 
     RowBox[{"x", ",", "y"}], "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"ry", "[", 
    RowBox[{"x_", ",", "y_"}], "]"}], ":=", " ", 
   RowBox[{"y", "+", " ", 
    RowBox[{"uyi", "[", 
     RowBox[{"x", ",", "y"}], "]"}]}]}], ";"}]}], "Input"],

Cell[BoxData[
 RowBox[{"fig1a", "=", 
  RowBox[{"ParametricPlot", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"rx", "[", 
       RowBox[{"x", ",", "b"}], "]"}], ",", 
      RowBox[{"ry", "[", 
       RowBox[{"x", ",", "b"}], "]"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"x", ",", "0", ",", "a"}], "}"}], ",", 
    RowBox[{"AspectRatio", "\[Rule]", "1"}]}], "]"}]}]], "Input",
 CellChangeTimes->{
  3.4147338711037974`*^9, {3.4147340512297974`*^9, 3.4147340533697977`*^9}}],

Cell[BoxData[""], "Input"],

Cell[BoxData[
 RowBox[{"fig1b", "=", 
  RowBox[{"ParametricPlot", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"rx", "[", 
       RowBox[{"a", ",", "y"}], "]"}], ",", 
      RowBox[{"ry", "[", 
       RowBox[{"a", ",", "y"}], "]"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"y", ",", "0", ",", "b"}], "}"}], ",", 
    RowBox[{"AspectRatio", "\[Rule]", "1"}]}], "]"}]}]], "Input",
 CellChangeTimes->{3.4147338680957975`*^9}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"rxsf", "[", 
   RowBox[{"x_", ",", "y_"}], "]"}], ":=", 
  RowBox[{"x", "+", " ", 
   RowBox[{
    FractionBox["nu", 
     RowBox[{"1", "-", "nu"}]], 
    FractionBox["1", "scale"], 
    RowBox[{"(", 
     RowBox[{"b", "-", "y"}], ")"}], "x"}]}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"rysf", "[", 
   RowBox[{"x_", ",", "y_"}], "]"}], ":=", 
  RowBox[{"y", "-", 
   FractionBox[
    RowBox[{
     SuperscriptBox["b", "2"], "-", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"b", "-", "y"}], ")"}], "2"]}], 
    RowBox[{"2", "scale"}]], "-", 
   RowBox[{
    FractionBox["nu", 
     RowBox[{"1", "-", "nu"}]], 
    FractionBox[
     RowBox[{
      SuperscriptBox["a", "2"], "-", 
      RowBox[{"3", 
       SuperscriptBox["x", "2"]}]}], 
     RowBox[{"6", " ", "scale"}]]}]}]}]}], "Input",
 CellChangeTimes->{{3.4147332058457975`*^9, 3.4147332433147974`*^9}, 
   3.4147332770887976`*^9}],

Cell[BoxData[
 RowBox[{"fig1c1", "=", 
  RowBox[{"ParametricPlot", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"rxsf", "[", 
       RowBox[{"x", ",", "b"}], "]"}], ",", 
      RowBox[{"rysf", "[", 
       RowBox[{"x", ",", "b"}], "]"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"x", ",", "0", ",", "a"}], "}"}], ",", 
    RowBox[{"AspectRatio", "\[Rule]", "1"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.414733846766797*^9, 3.4147338509567976`*^9}}],

Cell[BoxData[
 RowBox[{"fig1c2", "=", 
  RowBox[{"ParametricPlot", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"rxsf", "[", 
       RowBox[{"a", ",", "y"}], "]"}], ",", 
      RowBox[{"rysf", "[", 
       RowBox[{"a", ",", "y"}], "]"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"y", ",", "0", ",", "b"}], "}"}]}], "]"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"fig1c3", "=", 
  RowBox[{"ParametricPlot", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"rxsf", "[", 
       RowBox[{"x", ",", "0"}], "]"}], ",", 
      RowBox[{"rysf", "[", 
       RowBox[{"x", ",", "0"}], "]"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"x", ",", "0", ",", "a"}], "}"}], ",", 
    RowBox[{"AspectRatio", "\[Rule]", "1"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.4147340668127975`*^9, 3.4147340706367974`*^9}}],

Cell[BoxData[
 RowBox[{"fig1c", "=", 
  RowBox[{"Show", "[", 
   RowBox[{
    RowBox[{"Graphics", "[", 
     RowBox[{"Dashing", "[", 
      RowBox[{"{", 
       RowBox[{"0.01`", ",", "0.01`"}], "}"}], "]"}], "]"}], ",", "fig1c1", 
    ",", "fig1c2", ",", "fig1c3"}], "]"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"fig1d", "=", 
  RowBox[{"Graphics", "[", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"Dashing", "[", 
      RowBox[{"{", 
       RowBox[{"0.03`", ",", "0.03`"}], "}"}], "]"}], ",", 
     RowBox[{"Line", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "b"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"a", ",", "b"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"a", ",", "0"}], "}"}]}], "}"}], "]"}]}], "}"}], 
   "]"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{"fig1a", ",", "fig1b", ",", "fig1c", ",", "fig1d", ",", 
   RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 
   RowBox[{"AxesLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"\"\<x\>\"", ",", "\"\<y\>\""}], "}"}]}], ",", 
   RowBox[{"AxesOrigin", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"0", ",", "0"}], "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.4146873587209997`*^9, 3.4146873643199997`*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Vertical pressure", "Subsection"],

Cell[BoxData[
 RowBox[{"fig2a", "=", 
  RowBox[{"ParametricPlot", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"rx", "[", 
       RowBox[{"x1", ",", "0"}], "]"}], ",", 
      RowBox[{"-", 
       RowBox[{"syyi", "[", 
        RowBox[{"x1", ",", "0"}], "]"}]}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"x1", ",", "0", ",", "a"}], "}"}], ",", 
    RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 
    RowBox[{"AspectRatio", "\[Rule]", "1"}], ",", 
    RowBox[{"AxesLabel", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
      "\"\<x\>\"", ",", "\"\<\!\(\*SubscriptBox[\(p\), \(y\)]\)\>\""}], 
      "}"}]}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.4147334583037977`*^9, 3.4147334864307976`*^9}, {
  3.4147335385777974`*^9, 3.4147335943827972`*^9}, {3.4147340838887973`*^9, 
  3.414734084462797*^9}, {3.4147341267187977`*^9, 3.414734166127797*^9}, {
  3.414734245823797*^9, 3.4147342508157973`*^9}, {3.4147359919877977`*^9, 
  3.4147360265267973`*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Shear stress", "Subsection"],

Cell[BoxData[
 RowBox[{"fig2b", "=", 
  RowBox[{"ParametricPlot", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"rx", "[", 
       RowBox[{"x1", ",", "0.5"}], "]"}], ",", 
      RowBox[{"sxyi", "[", 
       RowBox[{"x1", ",", "0.5"}], "]"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"x1", ",", "0", ",", "a"}], "}"}], ",", 
    RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 
    RowBox[{"AspectRatio", "\[Rule]", "1"}], ",", 
    RowBox[{"AxesLabel", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
      "\"\<x\>\"", ",", 
       "\"\<\!\(\*SubscriptBox[\(\[Sigma]\), \(xy\)]\)\>\""}], "}"}]}]}], 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.4147336831847973`*^9, 3.4147336864467974`*^9}, {
  3.4147337281597977`*^9, 3.4147337703337975`*^9}, {3.414736074415797*^9, 
  3.414736082943797*^9}}]
}, Open  ]]
}, Open  ]]
},
AutoGeneratedPackage->None,
WindowSize->{709, 740},
WindowMargins->{{8, Automatic}, {Automatic, 54}},
FrontEndVersion->"8.0 for Microsoft Windows (64-bit) (November 7, 2010)",
StyleDefinitions->FrontEnd`FileName[{"Creative"}, "NaturalColor.nb", 
  CharacterEncoding -> "WindowsANSI"]
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[545, 20, 212, 4, 41, "Input",
 InitializationCell->True],
Cell[CellGroupData[{
Cell[782, 28, 29, 0, 75, "Section"],
Cell[814, 30, 124, 2, 41, "Input"],
Cell[941, 34, 346, 9, 82, "Input"],
Cell[1290, 45, 359, 10, 62, "Input"],
Cell[1652, 57, 332, 9, 62, "Input"],
Cell[1987, 68, 27, 0, 41, "Input"],
Cell[2017, 70, 27, 0, 41, "Input"],
Cell[2047, 72, 28, 0, 41, "Input"],
Cell[2078, 74, 28, 0, 41, "Input"],
Cell[2109, 76, 27, 0, 41, "Input"],
Cell[2139, 78, 28, 0, 41, "Input"],
Cell[2170, 80, 32, 0, 41, "Input"],
Cell[2205, 82, 28, 0, 41, "Input"],
Cell[2236, 84, 32, 0, 41, "Input"],
Cell[2271, 86, 31, 0, 41, "Input"],
Cell[2305, 88, 31, 0, 41, "Input"],
Cell[2339, 90, 34, 0, 41, "Input"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2410, 95, 41, 0, 75, "Section"],
Cell[2454, 97, 387, 9, 62, "Input"],
Cell[2844, 108, 35, 0, 41, "Input"],
Cell[2882, 110, 32, 0, 41, "Input"],
Cell[2917, 112, 1682, 53, 222, "Input"],
Cell[4602, 167, 270, 8, 41, "Input"],
Cell[4875, 177, 270, 8, 41, "Input"],
Cell[5148, 187, 271, 8, 41, "Input"],
Cell[5422, 197, 271, 8, 41, "Input"],
Cell[5696, 207, 271, 8, 41, "Input"],
Cell[5970, 217, 271, 8, 41, "Input"],
Cell[6244, 227, 271, 8, 41, "Input"],
Cell[6518, 237, 271, 8, 41, "Input"],
Cell[6792, 247, 565, 15, 41, "Input"],
Cell[7360, 264, 1253, 34, 102, "Input"],
Cell[8616, 300, 155, 5, 41, "Input"],
Cell[8774, 307, 181, 6, 41, "Input"],
Cell[CellGroupData[{
Cell[8980, 317, 49, 0, 36, "Subsection"],
Cell[9032, 319, 442, 14, 62, "Input"],
Cell[9477, 335, 500, 14, 41, "Input"],
Cell[9980, 351, 26, 0, 41, "Input"],
Cell[10009, 353, 447, 13, 41, "Input"],
Cell[10459, 368, 942, 32, 97, "Input"],
Cell[11404, 402, 476, 13, 41, "Input"],
Cell[11883, 417, 357, 11, 41, "Input"],
Cell[12243, 430, 478, 13, 41, "Input"],
Cell[12724, 445, 285, 8, 41, "Input"],
Cell[13012, 455, 517, 17, 41, "Input"],
Cell[13532, 474, 451, 10, 62, "Input"]
}, Open  ]],
Cell[CellGroupData[{
Cell[14020, 489, 39, 0, 36, "Subsection"],
Cell[14062, 491, 974, 24, 62, "Input"]
}, Open  ]],
Cell[CellGroupData[{
Cell[15073, 520, 34, 0, 36, "Subsection"],
Cell[15110, 522, 813, 22, 62, "Input"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
